Bug 312192 - Highlight invisible characters
Summary: Highlight invisible characters
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: syntax (show other bugs)
Version: unspecified
Platform: Other Linux
: LO wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-25 17:24 UTC by Rob W
Modified: 2013-12-31 12:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob W 2012-12-25 17:24:59 UTC
When I copy-paste code from JSFiddle, an invisible character is included at the end (U+200B). It would be nice if these invisible charactacters are somehow highlighted in Kate, eg using a box.


Reproducible: Always

Steps to Reproduce:
1. Visit http://jsfiddle.net/
2. Type code, eg `console.log(0);`.
3. Select all code
4. Paste in Kate
5. Save code, eg. as test.js
6. Run code, eg. using `node test.js`
Actual Results:  
The code seemed to be OK in Kate, but execution failed.

Expected Results:  
I expect to see the invisible characters to be highlighted, so that I can select and remove it.
Comment 1 Dominik Haumann 2012-12-28 10:54:52 UTC
Can you follow http://kate-editor.org/get-it/, edit kate/part/render/*.cpp and send a patch?
Comment 2 Michal Humpula 2013-12-31 12:20:37 UTC
Git commit 65d0c80eea6db8df936bd522d0b3d361a524559c by Michal Humpula.
Committed on 31/12/2013 at 12:19.
Pushed by michalhumpula into branch 'frameworks'.

add menu action to display non-printable spaces
Related: bug 85321, bug 237821

M  +1    -0    part/data/katepartui.rc
M  +50   -0    part/render/katerenderer.cpp
M  +16   -0    part/render/katerenderer.h
M  +11   -0    part/view/kateview.cpp
M  +2    -0    part/view/kateview.h

http://commits.kde.org/kate/65d0c80eea6db8df936bd522d0b3d361a524559c